import { OnInit, EventEmitter, ElementRef, SimpleChanges } from '@angular/core';
import { ControlValueAccessor } from '@angular/forms';
export declare class Ng2SsComponent implements OnInit, ControlValueAccessor {
    openSSOptions: boolean;
    ssDisplayValue: any;
    currTabIndex: number;
    currOptionIndex: number;
    ssSearchKey: string;
    searchInput: ElementRef;
    width: any;
    data: any;
    defaultIndex: any;
    defaultTab: any;
    readOnly: any;
    onOpen: EventEmitter<any>;
    onClose: EventEmitter<any>;
    onChange: EventEmitter<any>;
    constructor();
    /**
     * On init, make sure inputs are usable, pre-select item based on inputs,
     * remember the option or tab selection
     */
    ngOnInit(): void;
    /**
     * On change, if default index was changed, select the element.
     * If default tab was changes, switch the tab
     * @param changes
     */
    ngOnChanges(changes: SimpleChanges): void;
    /**
     * Function to open the options dropdown, emit an on-open event
     * and focus on the search field in the dropdown
     */
    openOptions(): void;
    /**
     * Function to close the dropdown, remove event listeners
     * and emit a on-close event
     */
    closeSerSel(): void;
    /**
     * Funciton to select an item from the dropdown.
     * Once selected, remember the selection, emit an on-change event
     * and close the dropdown. If mutli tabs present, remember the tab.
     * @param item
     * @param idx
     * @param tab
     */
    selectSSItem(item: any, idx: any, tab: any): void;
    /**
     * Function to switch tabs and keep the focus on the search text field
     * @param i
     */
    showTab(i: any): void;
    /**
     * Function to focus on the search text field
     */
    private focusSearch();
    /**
     * Function to remove event listeners
     */
    private removeListeners();
    /**
     * Function to add listeners to close dropdown on outside click
     */
    private addListeners();
    /**
     * Function to search for the target class and close the dropdown
     * if the click was outside the component
     */
    onOutClick: (event: any) => void;
    /**
     * Custom Form interface methods
     * @param value
     */
    writeValue(value: any): void;
    /**
     * Custom Form interface methods
     */
    propagateChange: (_: any) => void;
    /**
     * Custom Form interface methods
     * @param fn
     */
    registerOnChange(fn: any): void;
    /**
     * Custom Form interface methods
     */
    registerOnTouched(): void;
}
